Draft Réseau orthogonal

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft OrthoArray and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Page précédente : Draft Clone.svg Clone
Page suivante : Réseau polaire Draft PolarArray.svg Arrow-right.svg

Draft OrthoArray.svg Draft Réseau orthogonal

Emplacement du menu
Modification → Array tools → Array
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau polaire, Draft Réseau circulaire, Draft Réseau selon une courbe, Draft Réseau lié selon une courbe, Draft Réseau de points, Draft Réseau lié selon des points

Description

La commande Draft OrthoArray.svg Draft Réseau orthogonal crée un réseau orthogonal (3 axes) à partir d'un objet sélectionné. La commande peut éventuellement créer un réseau de liens Link, qui est plus efficace qu'un réseau normal.

La commande peut être utilisée sur des objets 2D créés avec l'Atelier Draft ou l'Atelier Sketcher, mais aussi sur de nombreux objets 3D tels que ceux créés avec l'Atelier Part, l'Atelier PartDesign ou l'Atelier Arch.

Draft Array example.png

Un réseau orthogonal Draft

Utilisation

  1. Sélectionner un objet au choix.
  2. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Draft OrthoArray.svg Array.
    • Sélectionnez l'option Modification → Outils de réseau → Draft OrthoArray.svg Array dans le menu.
  3. Le panneau de tâches Réseau orthogonal s'ouvre. Voir Options pour plus d'informations.
  4. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet.
  5. Saisissez les paramètres requis dans le panneau des tâches.
  6. Pour terminer la commande, effectuez l'une des opérations suivantes :
    • Cliquez dans la Vue 3D.
    • Appuyez sur Entrée.
    • Appuyez sur le bouton OK.

Options

  • Entrez le Nombre d'éléments pour les directions X, Y et Z. Ce nombre doit être au moins 1 pour chaque direction. Ce nombre doit être au moins 1 pour chaque direction.
  • Entrez dans le champ Intervalles en X pour spécifier le déplacement des éléments dans la direction X. Pour un réseau rectangulaire, les intervalles Y et Z doivent être spécifiés. Pour un réseau rectangulaire, les valeurs Y et Z doivent être 0.
  • Entrez dans le champ Intervalles en Y pour spécifier le déplacement des éléments dans la direction Y. Pour un tableau rectangulaire, les valeurs X et Z doivent être 0. Pour un réseau rectangulaire, les valeurs X et Z doivent être 0.
  • Entrez dans le champ Intervalles en Z pour spécifier le déplacement des éléments dans la direction Z. Pour un tableau rectangulaire, les valeurs X et Z doivent être 0. Pour un réseau rectangulaire, les valeurs X et Y doivent être 0.
  • Appuyez sur le bouton Réinitialiser X, Y ou Z pour réinitialiser le déplacement dans la direction donnée aux valeurs par défaut.
  • Si la case Union est cochée, les éléments qui se chevauchent dans le réseau sont fusionnés. Cela ne fonctionne pas pour les réseaux de liens.
  • Si la case Lier un réseau est cochée, un réseau de liens est créé au lieu d'un réseau normal. Un réseau de liens est plus efficace car ses éléments sont des objets App Link.
  • Appuyez sur Echap ou sur le bouton Annuler pour annuler la commande en cours.

Remarques

  • Un Draft Réseau orthogonal peut être transformé en un Draft Réseau polaire ou un Draft Réseau circulaire en modifiant sa propriété DonnéesArray Type.
  • Un réseau de liens ne peut pas être transformé en un réseau normal ou vice versa. Le type de réseau doit être décidé au moment de la création.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Edition → Préférences... → Général → Unités → Systèmes d'unités → Nombre de décimales.

Propriétés

Voir aussi : Éditeur de propriétés

La commande Draft Réseau orthogonal, la commande Draft Réseau polaire et la commande Draft Réseau circulaire créent le même objet. Cet objet est dérivé d'un objet Part Feature et hérite de toutes ses propriétés (à l'exception de certaines propriétés Vue qui ne sont pas héritées par les réseaux liens Link). Les propriétés suivantes sont supplémentaires, sauf indication contraire :

Données

Link

Les propriétés de ce groupe ne sont disponibles que pour les réseaux de liens. Voir Std Créer un lien pour plus d'informations.

  • DonnéesScale (Float)
  • Données (caché)Scale Vector (Vector)
  • DonnéesScale List (VectorList)
  • Données (caché)Visibility List (BoolList)
  • Données (caché)Placement List (PlacementList)
  • Données (caché)Element List (LinkList)
  • Données (caché)_ Link Touched (Bool)
  • Données (caché)_ Child Cache (LinkList)
  • Données (caché)Colored Elements (LinkSubHidden)
  • DonnéesLink Transform (Bool)

Circular array

Les propriétés de ce groupe sont cachées pour les réseaux orthogonaux et les réseaux polaires.

  • DonnéesNumber Circles (Integer) : spécifie le nombre de couches circulaires. Doit être au moins 2.
  • DonnéesRadial Distance (Distance) : spécifie la distance entre les couches circulaires.
  • DonnéesSymmetry (Integer) : spécifie le nombre de lignes de symétrie. Ce nombre modifie la répartition des éléments dans le réseau.
  • DonnéesTangential Distance (Distance) : spécifie la distance entre les éléments d'une même couche circulaire. Elle doit être supérieure à zéro.

Objects

  • DonnéesArray Type (Enumeration) : spécifie le type de réseau, qui peut être ortho, polar ou circular.
  • DonnéesAxis Reference (LinkGlobal) : spécifie l'objet et le bord à utiliser à la place des propriétés DonnéesAxis et DonnéesCenter. Non utilisé pour les réseaux orthogonaux.
  • DonnéesBase (Link) : spécifie l'objet à dupliquer dans le réseau.
  • DonnéesCount (Integer) : (en lecture seule) spécifie le nombre total d'éléments dans le réseau. Uniquement disponible pour les réseaux Link.
  • DonnéesExpand Array (Bool) : spécifie s'il faut développer le réseau dans la vue Tree view pour permettre la sélection de ses éléments individuels. Disponible uniquement pour les réseaux de type Link.
  • DonnéesFuse (Bool) : spécifie si les éléments qui se chevauchent dans le réseau sont fusionnés ou non. Non utilisé pour les réseaux de type Link.

Orthogonal array

Les propriétés de ce groupe sont masquées pour les réseaux circulaires et les réseaux polaires.

  • DonnéesInterval X (VectorDistance) : spécifie l'intervalle entre les éléments dans la direction X.
  • DonnéesInterval Y (VectorDistance) : spécifie l'intervalle entre les éléments dans la direction Y.
  • DonnéesInterval Z (VectorDistance) : spécifie l'intervalle entre les éléments dans la direction Z.
  • DonnéesNumber X (Integer) : spécifie le nombre d'éléments dans la direction X. Doit être au moins 1.
  • DonnéesNumber Y (Integer) : spécifie le nombre d'éléments dans la direction Y. Doit avoir au moins la valeur 1.
  • DonnéesNumber Z (Integer) : spécifie le nombre d'éléments dans la direction Z. Doit être au moins égal à 1.

Polar array

Les propriétés de ce groupe sont masquées pour les réseaux circulaires et les réseaux orthogonaux.

  • DonnéesAngle (Angle) : spécifie l'ouverture de l'arc de cercle. Utilisez 360° pour un cercle complet.
  • DonnéesInterval Axis (VectorDistance) : spécifie l'intervalle entre les éléments dans la direction DonnéesAxis.
  • DonnéesNumber Polar (Integer) : spécifie le nombre d'éléments dans la direction polaire.

Polar/circular array

Les propriétés de ce groupe sont cachées pour les réseaux orthogonaux.

  • DonnéesAxis (Vector) : spécifie la direction de l'axe du réseau.
  • DonnéesCenter (VectorDistance) : spécifie le point central du réseau. L'axe du réseau passe par ce point. Pour les réseaux circulaires, il s'agit d'un décalage par rapport à DonnéesPlacement de l'objet DonnéesBase.

Vue

Link

Les propriétés de ce groupe, à l'exception de la propriété héritée, ne sont disponibles que pour les réseaux liens (Link). Voir Std Créer un lien pour plus d'informations.

  • VueDraw Style (Enumeration)
  • VueLine Width (FloatConstraint)
  • VueOverride Material (Bool)
  • VuePoint Size (FloatConstraint)
  • VueSelectable (Bool) : il s'agit d'une propriété héritée qui apparaît dans le groupe Sélection pour d'autres réseaux.
  • VueShape Material (Material)

Base

Les propriétés de ce groupe, à l'exception de la propriété héritée, ne sont disponibles que pour les réseaux liens (Link). Voir Std Créer un lien pour plus d'informations.

  • Vue (caché)Child View Provider (PersistentObject)
  • Vue (caché)Material List (MaterialList)
  • Vue (caché)Override Color List (ColorList)
  • Vue (caché)Override Material List (BoolList)
  • Vue (caché)Proxy (PythonObject): il s'agit d'une propriété héritée.

Display Options

Les propriétés de ce groupe sont des propriétés héritées. Voir Part Feature pour plus d'informations.

  • VueBounding Box (Bool): cette propriété n'est pas héritée par les réseaux de liens (Link).
  • VueDisplay Mode (Enumeration): pour les réseaux de liens, il peut s'agir de Link ou ChildView. Pour les autres réseaux, il peut s'agir de : Flat Lines, Shaded, Wireframe ou Points
  • VueShow In Tree (Bool)
  • VueVisibility (Bool)

Draft

  • VuePattern (Enumeration) : non utilisé.
  • VuePattern Size (Float) : non utilisé.

Object style

Les propriétés de ce groupe ne sont pas héritées par les réseaux de liens.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Réseau paramétrique

Pour créer un réseau orthogonal paramétrique, utilisez la méthode make_array (Introduit dans la version 0.19) de l'atelier Draft. Cette méthode remplace la méthode dépréciée makeArray. La méthode make_array peut créer des Draft Réseaux orthogonaux, Draft Réseaux polaires et Draft Réseaux cirucalires. Pour chaque type de réseau, un ou plusieurs wrappers sont disponibles.

La méthode principale :

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

Les wrappers pour les réseaux orthogonaux sont :

array = make_ortho_array(base_object,
                         v_x=App.Vector(10, 0, 0), v_y=App.Vector(0, 10, 0), v_z=App.Vector(0, 0, 10),
                         n_x=2, n_y=2, n_z=1,
                         use_link=True)
array = make_ortho_array2d(base_object,
                           v_x=App.Vector(10, 0, 0), v_y=App.Vector(0, 10, 0),
                           n_x=2, n_y=2,
                           use_link=True)

Les wrappers pour les réseaux rectangulaires sont :

array = make_rect_array(base_object,
                        d_x=10, d_y=10, d_z=10,
                        n_x=2, n_y=2, n_z=1,
                        use_link=True)
array = make_rect_array2d(base_object,
                          d_x=10, d_y=10,
                          n_x=2, n_y=2,
                          use_link=True)
  • base_object est l'objet à mettre en réseau. Il peut également s'agir du Label (chaîne de caractères) d'un objet du document courant. (chaîne de caractères) d'un objet dans le document actuel.
  • v_x, v_y, et v_z sont les vecteurs entre les points de base des éléments dans les directions respectives.
  • d_x, d_y, et d_z sont les distances entre les points de base des éléments dans les directions respectives.
  • n_x, n_y, et n_z sont les nombres d'éléments dans les directions respectives.
  • Si use_link est True, les éléments créés sont des App Links au lieu de copies ordinaires.
  • array est restitué avec l'objet réseau créé.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

rect = Draft.make_rectangle(1500, 500)
v_x = App.Vector(1600, 0, 0)
v_y = App.Vector(0, 600, 0)

array = Draft.make_ortho_array2d(rect, v_x, v_y, 3, 4)
doc.recompute()

Réseau non paramétrique

Pour créer un réseau orthogonal non-paramétrique, utilisez la méthode array de l'atelier Draft. Cette méthode renvoie None.

array(objectslist, xvector, yvector, xnum, ynum)
array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

rect = Draft.make_rectangle(1500, 500)
v_x = App.Vector(1600, 0, 0)
v_y = App.Vector(0, 600, 0)

Draft.array(rect, v_x, v_y, 3, 4)
doc.recompute()


Arrow-left.svg Page précédente : Draft Clone.svg Clone
Page suivante : Réseau polaire Draft PolarArray.svg Arrow-right.svg